[arch-commits] Commit in python/repos (16 files)
Felix Yan
fyan at archlinux.org
Sun Sep 20 12:52:00 UTC 2015
Date: Sunday, September 20, 2015 @ 14:52:00
Author: fyan
Revision: 247007
archrelease: copy trunk to staging-i686, staging-x86_64
Added:
python/repos/staging-i686/PKGBUILD
(from rev 247006, python/trunk/PKGBUILD)
python/repos/staging-i686/dont-make-libpython-readonly.patch
(from rev 247006, python/trunk/dont-make-libpython-readonly.patch)
python/repos/staging-i686/issue25150.patch
(from rev 247006, python/trunk/issue25150.patch)
python/repos/staging-i686/test_gdb-version-fix.patch
(from rev 247006, python/trunk/test_gdb-version-fix.patch)
python/repos/staging-x86_64/PKGBUILD
(from rev 247006, python/trunk/PKGBUILD)
python/repos/staging-x86_64/dont-make-libpython-readonly.patch
(from rev 247006, python/trunk/dont-make-libpython-readonly.patch)
python/repos/staging-x86_64/issue25150.patch
(from rev 247006, python/trunk/issue25150.patch)
python/repos/staging-x86_64/test_gdb-version-fix.patch
(from rev 247006, python/trunk/test_gdb-version-fix.patch)
Deleted:
python/repos/staging-i686/PKGBUILD
python/repos/staging-i686/PKGBUILD.3.5
python/repos/staging-i686/dont-make-libpython-readonly.patch
python/repos/staging-i686/test_gdb-version-fix.patch
python/repos/staging-x86_64/PKGBUILD
python/repos/staging-x86_64/PKGBUILD.3.5
python/repos/staging-x86_64/dont-make-libpython-readonly.patch
python/repos/staging-x86_64/test_gdb-version-fix.patch
---------------------------------------------------+
/PKGBUILD | 236 ++++++++++++++++++++
/dont-make-libpython-readonly.patch | 26 ++
/test_gdb-version-fix.patch | 22 +
staging-i686/PKGBUILD | 113 ---------
staging-i686/PKGBUILD.3.5 | 93 -------
staging-i686/dont-make-libpython-readonly.patch | 13 -
staging-i686/issue25150.patch | 78 ++++++
staging-i686/test_gdb-version-fix.patch | 11
staging-x86_64/PKGBUILD | 113 ---------
staging-x86_64/PKGBUILD.3.5 | 93 -------
staging-x86_64/dont-make-libpython-readonly.patch | 13 -
staging-x86_64/issue25150.patch | 78 ++++++
staging-x86_64/test_gdb-version-fix.patch | 11
13 files changed, 440 insertions(+), 460 deletions(-)
Deleted: staging-i686/PKGBUILD
===================================================================
--- staging-i686/PKGBUILD 2015-09-20 12:49:06 UTC (rev 247006)
+++ staging-i686/PKGBUILD 2015-09-20 12:52:00 UTC (rev 247007)
@@ -1,113 +0,0 @@
-# $Id$
-# Maintainer: Angel Velasquez <angvp at archlinux.org>
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
-# Contributor: Allan McRae <allan at archlinux.org>
-# Contributor: Jason Chu <jason at archlinux.org>
-
-pkgname=python
-pkgver=3.5.0
-pkgrel=1
-_pybasever=3.5
-pkgdesc="Next generation of the python high-level scripting language"
-arch=('i686' 'x86_64')
-license=('custom')
-url="http://www.python.org/"
-depends=('expat' 'bzip2' 'gdbm' 'openssl' 'libffi' 'zlib')
-makedepends=('tk' 'sqlite' 'valgrind' 'bluez-libs' 'mpdecimal')
-checkdepends=('gdb' 'xorg-server-xvfb')
-optdepends=('python-setuptools'
- 'python-pip'
- 'sqlite'
- 'mpdecimal: for decimal'
- 'xz: for lzma'
- 'tk: for tkinter')
-options=('!makeflags')
-provides=('python3')
-replaces=('python3')
-source=("http://www.python.org/ftp/python/${pkgver%rc*}/Python-${pkgver}.tar.xz"
- test_gdb-version-fix.patch
- dont-make-libpython-readonly.patch)
-sha1sums=('871a06df9ab70984b7398ac53047fe125c757a70'
- 'ab86515aff465385675e2e6e593f09596e0a8db0'
- 'c22b24324b8e53326702de439c401d97927ee3f2')
-
-prepare() {
- cd Python-${pkgver}
-
- # https://bugs.python.org/issue25096
- patch -p1 -i ../test_gdb-version-fix.patch
-
- # FS#45809
- patch -p1 -i ../dont-make-libpython-readonly.patch
-
- # FS#23997
- sed -i -e "s|^#.* /usr/local/bin/python|#!/usr/bin/python|" Lib/cgi.py
-
- # Ensure that we are using the system copy of various libraries (expat, zlib, libffi, and libmpdec),
- # rather than copies shipped in the tarball
- rm -r Modules/expat
- rm -r Modules/zlib
- rm -r Modules/_ctypes/{darwin,libffi}*
- rm -r Modules/_decimal/libmpdec
-}
-
-build() {
- cd Python-${pkgver}
-
- # Disable bundled pip & setuptools
- ./configure --prefix=/usr \
- --enable-shared \
- --with-threads \
- --with-computed-gotos \
- --enable-ipv6 \
- --with-system-expat \
- --with-dbmliborder=gdbm:ndbm \
- --with-system-ffi \
- --with-system-libmpdec \
- --enable-loadable-sqlite-extensions \
- --without-ensurepip
-
- make EXTRA_CFLAGS="$CFLAGS"
-}
-
-check() {
- # Failures:
- # test_pathlib & test_posixpath: https://bugs.python.org/issue24950
-
- # Hacks:
- # test_tk: xvfb-run
- # test_unicode_file: LC_CTYPE=en_US.utf-8
-
- cd Python-${pkgver}
- LD_LIBRARY_PATH="${srcdir}/Python-${pkgver}":${LD_LIBRARY_PATH} \
- LC_CTYPE=en_US.utf-8 xvfb-run \
- "${srcdir}/Python-${pkgver}/python" -m test.regrtest -uall || warning "Expected failure"
-}
-
-package() {
- cd Python-${pkgver}
- make DESTDIR="${pkgdir}" EXTRA_CFLAGS="$CFLAGS" install maninstall
-
- # Why are these not done by default...
- ln -s python3 "${pkgdir}"/usr/bin/python
- ln -s python3-config "${pkgdir}"/usr/bin/python-config
- ln -s idle3 "${pkgdir}"/usr/bin/idle
- ln -s pydoc3 "${pkgdir}"/usr/bin/pydoc
- ln -s python${_pybasever}.1 "${pkgdir}"/usr/share/man/man1/python.1
-
- # Fix FS#22552
- ln -sf ../../libpython${_pybasever}m.so \
- "${pkgdir}/usr/lib/python${_pybasever}/config-${_pybasever}m/libpython${_pybasever}m.so"
-
- # some useful "stuff" FS#46146
- install -dm755 "${pkgdir}"/usr/lib/python${_pybasever}/Tools/{i18n,scripts}
- install -m755 Tools/i18n/{msgfmt,pygettext}.py "${pkgdir}"/usr/lib/python${_pybasever}/Tools/i18n/
- install -m755 Tools/scripts/{README,*py} "${pkgdir}"/usr/lib/python${_pybasever}/Tools/scripts/
-
- # Clean-up reference to build directory
- sed -i "s|$srcdir/Python-${pkgver}:||" "$pkgdir/usr/lib/python${_pybasever}/config-${_pybasever}m/Makefile"
-
- # License
- install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
-}
Copied: python/repos/staging-i686/PKGBUILD (from rev 247006, python/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD (rev 0)
+++ staging-i686/PKGBUILD 2015-09-20 12:52:00 UTC (rev 247007)
@@ -0,0 +1,118 @@
+# $Id$
+# Maintainer: Angel Velasquez <angvp at archlinux.org>
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: Jason Chu <jason at archlinux.org>
+
+pkgname=python
+pkgver=3.5.0
+pkgrel=2
+_pybasever=3.5
+pkgdesc="Next generation of the python high-level scripting language"
+arch=('i686' 'x86_64')
+license=('custom')
+url="http://www.python.org/"
+depends=('expat' 'bzip2' 'gdbm' 'openssl' 'libffi' 'zlib')
+makedepends=('tk' 'sqlite' 'valgrind' 'bluez-libs' 'mpdecimal')
+checkdepends=('gdb' 'xorg-server-xvfb')
+optdepends=('python-setuptools'
+ 'python-pip'
+ 'sqlite'
+ 'mpdecimal: for decimal'
+ 'xz: for lzma'
+ 'tk: for tkinter')
+options=('!makeflags')
+provides=('python3')
+replaces=('python3')
+source=("http://www.python.org/ftp/python/${pkgver%rc*}/Python-${pkgver}.tar.xz"
+ test_gdb-version-fix.patch
+ dont-make-libpython-readonly.patch
+ issue25150.patch)
+sha1sums=('871a06df9ab70984b7398ac53047fe125c757a70'
+ 'ab86515aff465385675e2e6e593f09596e0a8db0'
+ 'c22b24324b8e53326702de439c401d97927ee3f2'
+ 'bd068695d22931320069200f240c425096bb5011')
+
+prepare() {
+ cd Python-${pkgver}
+
+ # https://bugs.python.org/issue25096
+ patch -p1 -i ../test_gdb-version-fix.patch
+
+ # FS#45809
+ patch -p1 -i ../dont-make-libpython-readonly.patch
+
+ # https://bugs.python.org/issue25150
+ patch -p1 -i ../issue25150.patch
+
+ # FS#23997
+ sed -i -e "s|^#.* /usr/local/bin/python|#!/usr/bin/python|" Lib/cgi.py
+
+ # Ensure that we are using the system copy of various libraries (expat, zlib, libffi, and libmpdec),
+ # rather than copies shipped in the tarball
+ rm -r Modules/expat
+ rm -r Modules/zlib
+ rm -r Modules/_ctypes/{darwin,libffi}*
+ rm -r Modules/_decimal/libmpdec
+}
+
+build() {
+ cd Python-${pkgver}
+
+ # Disable bundled pip & setuptools
+ ./configure --prefix=/usr \
+ --enable-shared \
+ --with-threads \
+ --with-computed-gotos \
+ --enable-ipv6 \
+ --with-system-expat \
+ --with-dbmliborder=gdbm:ndbm \
+ --with-system-ffi \
+ --with-system-libmpdec \
+ --enable-loadable-sqlite-extensions \
+ --without-ensurepip
+
+ make EXTRA_CFLAGS="$CFLAGS"
+}
+
+check() {
+ # Failures:
+ # test_pathlib & test_posixpath: https://bugs.python.org/issue24950
+
+ # Hacks:
+ # test_tk: xvfb-run
+ # test_unicode_file: LC_CTYPE=en_US.utf-8
+
+ cd Python-${pkgver}
+ LD_LIBRARY_PATH="${srcdir}/Python-${pkgver}":${LD_LIBRARY_PATH} \
+ LC_CTYPE=en_US.utf-8 xvfb-run \
+ "${srcdir}/Python-${pkgver}/python" -m test.regrtest -uall || warning "Expected failure"
+}
+
+package() {
+ cd Python-${pkgver}
+ make DESTDIR="${pkgdir}" EXTRA_CFLAGS="$CFLAGS" install maninstall
+
+ # Why are these not done by default...
+ ln -s python3 "${pkgdir}"/usr/bin/python
+ ln -s python3-config "${pkgdir}"/usr/bin/python-config
+ ln -s idle3 "${pkgdir}"/usr/bin/idle
+ ln -s pydoc3 "${pkgdir}"/usr/bin/pydoc
+ ln -s python${_pybasever}.1 "${pkgdir}"/usr/share/man/man1/python.1
+
+ # Fix FS#22552
+ ln -sf ../../libpython${_pybasever}m.so \
+ "${pkgdir}/usr/lib/python${_pybasever}/config-${_pybasever}m/libpython${_pybasever}m.so"
+
+ # some useful "stuff" FS#46146
+ install -dm755 "${pkgdir}"/usr/lib/python${_pybasever}/Tools/{i18n,scripts}
+ install -m755 Tools/i18n/{msgfmt,pygettext}.py "${pkgdir}"/usr/lib/python${_pybasever}/Tools/i18n/
+ install -m755 Tools/scripts/{README,*py} "${pkgdir}"/usr/lib/python${_pybasever}/Tools/scripts/
+
+ # Clean-up reference to build directory
+ sed -i "s|$srcdir/Python-${pkgver}:||" "$pkgdir/usr/lib/python${_pybasever}/config-${_pybasever}m/Makefile"
+
+ # License
+ install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}
Deleted: staging-i686/PKGBUILD.3.5
===================================================================
--- staging-i686/PKGBUILD.3.5 2015-09-20 12:49:06 UTC (rev 247006)
+++ staging-i686/PKGBUILD.3.5 2015-09-20 12:52:00 UTC (rev 247007)
@@ -1,93 +0,0 @@
-# $Id: PKGBUILD 234956 2015-03-26 07:56:56Z fyan $
-# Maintainer: Angel Velasquez <angvp at archlinux.org>
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
-# Contributor: Allan McRae <allan at archlinux.org>
-# Contributor: Jason Chu <jason at archlinux.org>
-
-pkgname=python
-pkgver=3.5.0rc3
-pkgrel=1
-_pybasever=3.4
-pkgdesc="Next generation of the python high-level scripting language"
-arch=('i686' 'x86_64')
-license=('custom')
-url="http://www.python.org/"
-depends=('expat' 'bzip2' 'gdbm' 'openssl' 'libffi' 'zlib')
-makedepends=('tk' 'sqlite' 'valgrind' 'bluez-libs' 'mpdecimal' 'hardening-wrapper')
-checkdepends=('gdb' 'xorg-server-xvfb')
-optdepends=('python-setuptools'
- 'python-pip'
- 'sqlite'
- 'mpdecimal: for decimal'
- 'xz: for lzma'
- 'tk: for tkinter')
-options=('!makeflags')
-provides=('python3')
-replaces=('python3')
-source=(http://www.python.org/ftp/python/${pkgver%rc*}/Python-${pkgver}.tar.xz)
-sha1sums=('d4f5a75142bd9290cd7603db5f26fa62a25ef273')
-
-prepare() {
- cd Python-${pkgver}
-
- # FS#23997
- sed -i -e "s|^#.* /usr/local/bin/python|#!/usr/bin/python|" Lib/cgi.py
-
- # Ensure that we are using the system copy of various libraries (expat, zlib, libffi, and libmpdec),
- # rather than copies shipped in the tarball
- rm -r Modules/expat
- rm -r Modules/zlib
- rm -r Modules/_ctypes/{darwin,libffi}*
- rm -r Modules/_decimal/libmpdec
-}
-
-build() {
- cd Python-${pkgver}
-
- # Disable bundled pip & setuptools
- ./configure --prefix=/usr \
- --enable-shared \
- --with-threads \
- --with-computed-gotos \
- --enable-ipv6 \
- --with-system-expat \
- --with-dbmliborder=gdbm:ndbm \
- --with-system-ffi \
- --with-system-libmpdec \
- --enable-loadable-sqlite-extensions \
- --without-ensurepip
-
- make
-}
-
-check() {
- # test_pathlib/test_posixpath: http://bugs.python.org/issue24950
-
- cd Python-${pkgver}
- LD_LIBRARY_PATH="${srcdir}/Python-${pkgver}":${LD_LIBRARY_PATH} \
- TERM=screen HOME="$srcdir" xvfb-run \
- "${srcdir}/Python-${pkgver}/python" -m test.regrtest -uall
-}
-
-package() {
- cd Python-${pkgver}
- make DESTDIR="${pkgdir}" install maninstall
-
- # Why are these not done by default...
- ln -s python3 "${pkgdir}"/usr/bin/python
- ln -s python3-config "${pkgdir}"/usr/bin/python-config
- ln -s idle3 "${pkgdir}"/usr/bin/idle
- ln -s pydoc3 "${pkgdir}"/usr/bin/pydoc
- ln -s python${_pybasever}.1 "${pkgdir}"/usr/share/man/man1/python.1
-
- # Fix FS#22552
- ln -sf ../../libpython${_pybasever}m.so \
- "${pkgdir}/usr/lib/python${_pybasever}/config-${_pybasever}m/libpython${_pybasever}m.so"
-
- # Clean-up reference to build directory
- sed -i "s|$srcdir/Python-${pkgver}:||" "$pkgdir/usr/lib/python${_pybasever}/config-${_pybasever}m/Makefile"
-
- # License
- install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
-}
Deleted: staging-i686/dont-make-libpython-readonly.patch
===================================================================
--- staging-i686/dont-make-libpython-readonly.patch 2015-09-20 12:49:06 UTC (rev 247006)
+++ staging-i686/dont-make-libpython-readonly.patch 2015-09-20 12:52:00 UTC (rev 247007)
@@ -1,13 +0,0 @@
-diff --git a/Makefile.pre.in b/Makefile.pre.in
-index ce2c0aa..7d6dcf7 100644
---- a/Makefile.pre.in
-+++ b/Makefile.pre.in
-@@ -60,7 +60,7 @@ INSTALL_DATA= @INSTALL_DATA@
- # Shared libraries must be installed with executable mode on some systems;
- # rather than figuring out exactly which, we always give them executable mode.
- # Also, making them read-only seems to be a good idea...
--INSTALL_SHARED= ${INSTALL} -m 555
-+INSTALL_SHARED= ${INSTALL} -m 755
-
- MKDIR_P= @MKDIR_P@
-
Copied: python/repos/staging-i686/dont-make-libpython-readonly.patch (from rev 247006, python/trunk/dont-make-libpython-readonly.patch)
===================================================================
--- staging-i686/dont-make-libpython-readonly.patch (rev 0)
+++ staging-i686/dont-make-libpython-readonly.patch 2015-09-20 12:52:00 UTC (rev 247007)
@@ -0,0 +1,13 @@
+diff --git a/Makefile.pre.in b/Makefile.pre.in
+index ce2c0aa..7d6dcf7 100644
+--- a/Makefile.pre.in
++++ b/Makefile.pre.in
+@@ -60,7 +60,7 @@ INSTALL_DATA= @INSTALL_DATA@
+ # Shared libraries must be installed with executable mode on some systems;
+ # rather than figuring out exactly which, we always give them executable mode.
+ # Also, making them read-only seems to be a good idea...
+-INSTALL_SHARED= ${INSTALL} -m 555
++INSTALL_SHARED= ${INSTALL} -m 755
+
+ MKDIR_P= @MKDIR_P@
+
Copied: python/repos/staging-i686/issue25150.patch (from rev 247006, python/trunk/issue25150.patch)
===================================================================
--- staging-i686/issue25150.patch (rev 0)
+++ staging-i686/issue25150.patch 2015-09-20 12:52:00 UTC (rev 247007)
@@ -0,0 +1,78 @@
+
+# HG changeset patch
+# User Victor Stinner <victor.stinner at gmail.com>
+# Date 1442581594 -7200
+# Node ID d4fcb362f7c66b25b22ddc0d27db0cc96acc727b
+# Parent d04a0954e142f873adee88ec5bc1c1d81cd46bc4
+Issue #25150: Hide the private _Py_atomic_xxx symbols from the public
+Python.h header to fix a compilation error with OpenMP. PyThreadState_GET()
+becomes an alias to PyThreadState_Get() to avoid ABI incompatibilies.
+
+It is important that the _PyThreadState_Current variable is always accessed
+with the same implementation of pyatomic.h. Use the PyThreadState_Get()
+function so extension modules will all reuse the same implementation.
+
+diff --git a/Include/pyatomic.h b/Include/pyatomic.h
+--- a/Include/pyatomic.h
++++ b/Include/pyatomic.h
+@@ -1,8 +1,6 @@
+-/* Issue #23644: <stdatomic.h> is incompatible with C++, see:
+- https://gcc.gnu.org/bugzilla/show_bug.cgi?id=60932 */
+-#if !defined(Py_LIMITED_API) && !defined(__cplusplus)
+ #ifndef Py_ATOMIC_H
+ #define Py_ATOMIC_H
++#ifdef Py_BUILD_CORE
+
+ #include "dynamic_annotations.h"
+
+@@ -248,5 +246,5 @@ static __inline__ void
+ #define _Py_atomic_load_relaxed(ATOMIC_VAL) \
+ _Py_atomic_load_explicit(ATOMIC_VAL, _Py_memory_order_relaxed)
+
++#endif /* Py_BUILD_CORE */
+ #endif /* Py_ATOMIC_H */
+-#endif /* Py_LIMITED_API */
+diff --git a/Include/pystate.h b/Include/pystate.h
+--- a/Include/pystate.h
++++ b/Include/pystate.h
+@@ -177,20 +177,13 @@ PyAPI_FUNC(int) PyThreadState_SetAsyncEx
+ /* Variable and macro for in-line access to current thread state */
+
+ /* Assuming the current thread holds the GIL, this is the
+- PyThreadState for the current thread.
+-
+- Issue #23644: pyatomic.h is incompatible with C++ (yet). Disable
+- PyThreadState_GET() optimization: declare it as an alias to
+- PyThreadState_Get(), as done for limited API. */
+-#if !defined(Py_LIMITED_API) && !defined(__cplusplus)
++ PyThreadState for the current thread. */
++#ifdef Py_BUILD_CORE
+ PyAPI_DATA(_Py_atomic_address) _PyThreadState_Current;
+-#endif
+-
+-#if defined(Py_DEBUG) || defined(Py_LIMITED_API) || defined(__cplusplus)
+-#define PyThreadState_GET() PyThreadState_Get()
++# define PyThreadState_GET() \
++ ((PyThreadState*)_Py_atomic_load_relaxed(&_PyThreadState_Current))
+ #else
+-#define PyThreadState_GET() \
+- ((PyThreadState*)_Py_atomic_load_relaxed(&_PyThreadState_Current))
++# define PyThreadState_GET() PyThreadState_Get()
+ #endif
+
+ typedef
+diff --git a/Misc/NEWS b/Misc/NEWS
+--- a/Misc/NEWS
++++ b/Misc/NEWS
+@@ -11,6 +11,10 @@ Release date: TBA
+ Core and Builtins
+ -----------------
+
++- Issue #25150: Hide the private _Py_atomic_xxx symbols from the public
++ Python.h header to fix a compilation error with OpenMP. PyThreadState_GET()
++ becomes an alias to PyThreadState_Get() to avoid ABI incompatibilies.
++
+ Library
+ -------
+
+
Deleted: staging-i686/test_gdb-version-fix.patch
===================================================================
--- staging-i686/test_gdb-version-fix.patch 2015-09-20 12:49:06 UTC (rev 247006)
+++ staging-i686/test_gdb-version-fix.patch 2015-09-20 12:52:00 UTC (rev 247007)
@@ -1,11 +0,0 @@
---- a/Lib/test/test_gdb.py 2015-09-14 11:58:09.218811556 +0800
-+++ b/Lib/test/test_gdb.py 2015-09-14 11:58:24.845647558 +0800
-@@ -28,7 +28,7 @@
- # This is what "no gdb" looks like. There may, however, be other
- # errors that manifest this way too.
- raise unittest.SkipTest("Couldn't find gdb on the path")
--gdb_version_number = re.search(b"^GNU gdb [^\d]*(\d+)\.(\d)", gdb_version)
-+gdb_version_number = re.search(b"^GNU gdb [^\d]*(\d+)\.(\d+)", gdb_version)
- gdb_major_version = int(gdb_version_number.group(1))
- gdb_minor_version = int(gdb_version_number.group(2))
- if gdb_major_version < 7:
Copied: python/repos/staging-i686/test_gdb-version-fix.patch (from rev 247006, python/trunk/test_gdb-version-fix.patch)
===================================================================
--- staging-i686/test_gdb-version-fix.patch (rev 0)
+++ staging-i686/test_gdb-version-fix.patch 2015-09-20 12:52:00 UTC (rev 247007)
@@ -0,0 +1,11 @@
+--- a/Lib/test/test_gdb.py 2015-09-14 11:58:09.218811556 +0800
++++ b/Lib/test/test_gdb.py 2015-09-14 11:58:24.845647558 +0800
+@@ -28,7 +28,7 @@
+ # This is what "no gdb" looks like. There may, however, be other
+ # errors that manifest this way too.
+ raise unittest.SkipTest("Couldn't find gdb on the path")
+-gdb_version_number = re.search(b"^GNU gdb [^\d]*(\d+)\.(\d)", gdb_version)
++gdb_version_number = re.search(b"^GNU gdb [^\d]*(\d+)\.(\d+)", gdb_version)
+ gdb_major_version = int(gdb_version_number.group(1))
+ gdb_minor_version = int(gdb_version_number.group(2))
+ if gdb_major_version < 7:
Deleted: staging-x86_64/PKGBUILD
===================================================================
--- staging-x86_64/PKGBUILD 2015-09-20 12:49:06 UTC (rev 247006)
+++ staging-x86_64/PKGBUILD 2015-09-20 12:52:00 UTC (rev 247007)
@@ -1,113 +0,0 @@
-# $Id$
-# Maintainer: Angel Velasquez <angvp at archlinux.org>
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
-# Contributor: Allan McRae <allan at archlinux.org>
-# Contributor: Jason Chu <jason at archlinux.org>
-
-pkgname=python
-pkgver=3.5.0
-pkgrel=1
-_pybasever=3.5
-pkgdesc="Next generation of the python high-level scripting language"
-arch=('i686' 'x86_64')
-license=('custom')
-url="http://www.python.org/"
-depends=('expat' 'bzip2' 'gdbm' 'openssl' 'libffi' 'zlib')
-makedepends=('tk' 'sqlite' 'valgrind' 'bluez-libs' 'mpdecimal')
-checkdepends=('gdb' 'xorg-server-xvfb')
-optdepends=('python-setuptools'
- 'python-pip'
- 'sqlite'
- 'mpdecimal: for decimal'
- 'xz: for lzma'
- 'tk: for tkinter')
-options=('!makeflags')
-provides=('python3')
-replaces=('python3')
-source=("http://www.python.org/ftp/python/${pkgver%rc*}/Python-${pkgver}.tar.xz"
- test_gdb-version-fix.patch
- dont-make-libpython-readonly.patch)
-sha1sums=('871a06df9ab70984b7398ac53047fe125c757a70'
- 'ab86515aff465385675e2e6e593f09596e0a8db0'
- 'c22b24324b8e53326702de439c401d97927ee3f2')
-
-prepare() {
- cd Python-${pkgver}
-
- # https://bugs.python.org/issue25096
- patch -p1 -i ../test_gdb-version-fix.patch
-
- # FS#45809
- patch -p1 -i ../dont-make-libpython-readonly.patch
-
- # FS#23997
- sed -i -e "s|^#.* /usr/local/bin/python|#!/usr/bin/python|" Lib/cgi.py
-
- # Ensure that we are using the system copy of various libraries (expat, zlib, libffi, and libmpdec),
- # rather than copies shipped in the tarball
- rm -r Modules/expat
- rm -r Modules/zlib
- rm -r Modules/_ctypes/{darwin,libffi}*
- rm -r Modules/_decimal/libmpdec
-}
-
-build() {
- cd Python-${pkgver}
-
- # Disable bundled pip & setuptools
- ./configure --prefix=/usr \
- --enable-shared \
- --with-threads \
- --with-computed-gotos \
- --enable-ipv6 \
- --with-system-expat \
- --with-dbmliborder=gdbm:ndbm \
- --with-system-ffi \
- --with-system-libmpdec \
- --enable-loadable-sqlite-extensions \
- --without-ensurepip
-
- make EXTRA_CFLAGS="$CFLAGS"
-}
-
-check() {
- # Failures:
- # test_pathlib & test_posixpath: https://bugs.python.org/issue24950
-
- # Hacks:
- # test_tk: xvfb-run
- # test_unicode_file: LC_CTYPE=en_US.utf-8
-
- cd Python-${pkgver}
- LD_LIBRARY_PATH="${srcdir}/Python-${pkgver}":${LD_LIBRARY_PATH} \
- LC_CTYPE=en_US.utf-8 xvfb-run \
- "${srcdir}/Python-${pkgver}/python" -m test.regrtest -uall || warning "Expected failure"
-}
-
-package() {
- cd Python-${pkgver}
- make DESTDIR="${pkgdir}" EXTRA_CFLAGS="$CFLAGS" install maninstall
-
- # Why are these not done by default...
- ln -s python3 "${pkgdir}"/usr/bin/python
- ln -s python3-config "${pkgdir}"/usr/bin/python-config
- ln -s idle3 "${pkgdir}"/usr/bin/idle
- ln -s pydoc3 "${pkgdir}"/usr/bin/pydoc
- ln -s python${_pybasever}.1 "${pkgdir}"/usr/share/man/man1/python.1
-
- # Fix FS#22552
- ln -sf ../../libpython${_pybasever}m.so \
- "${pkgdir}/usr/lib/python${_pybasever}/config-${_pybasever}m/libpython${_pybasever}m.so"
-
- # some useful "stuff" FS#46146
- install -dm755 "${pkgdir}"/usr/lib/python${_pybasever}/Tools/{i18n,scripts}
- install -m755 Tools/i18n/{msgfmt,pygettext}.py "${pkgdir}"/usr/lib/python${_pybasever}/Tools/i18n/
- install -m755 Tools/scripts/{README,*py} "${pkgdir}"/usr/lib/python${_pybasever}/Tools/scripts/
-
- # Clean-up reference to build directory
- sed -i "s|$srcdir/Python-${pkgver}:||" "$pkgdir/usr/lib/python${_pybasever}/config-${_pybasever}m/Makefile"
-
- # License
- install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
-}
Copied: python/repos/staging-x86_64/PKGBUILD (from rev 247006, python/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD (rev 0)
+++ staging-x86_64/PKGBUILD 2015-09-20 12:52:00 UTC (rev 247007)
@@ -0,0 +1,118 @@
+# $Id$
+# Maintainer: Angel Velasquez <angvp at archlinux.org>
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: Jason Chu <jason at archlinux.org>
+
+pkgname=python
+pkgver=3.5.0
+pkgrel=2
+_pybasever=3.5
+pkgdesc="Next generation of the python high-level scripting language"
+arch=('i686' 'x86_64')
+license=('custom')
+url="http://www.python.org/"
+depends=('expat' 'bzip2' 'gdbm' 'openssl' 'libffi' 'zlib')
+makedepends=('tk' 'sqlite' 'valgrind' 'bluez-libs' 'mpdecimal')
+checkdepends=('gdb' 'xorg-server-xvfb')
+optdepends=('python-setuptools'
+ 'python-pip'
+ 'sqlite'
+ 'mpdecimal: for decimal'
+ 'xz: for lzma'
+ 'tk: for tkinter')
+options=('!makeflags')
+provides=('python3')
+replaces=('python3')
+source=("http://www.python.org/ftp/python/${pkgver%rc*}/Python-${pkgver}.tar.xz"
+ test_gdb-version-fix.patch
+ dont-make-libpython-readonly.patch
+ issue25150.patch)
+sha1sums=('871a06df9ab70984b7398ac53047fe125c757a70'
+ 'ab86515aff465385675e2e6e593f09596e0a8db0'
+ 'c22b24324b8e53326702de439c401d97927ee3f2'
+ 'bd068695d22931320069200f240c425096bb5011')
+
+prepare() {
+ cd Python-${pkgver}
+
+ # https://bugs.python.org/issue25096
+ patch -p1 -i ../test_gdb-version-fix.patch
+
+ # FS#45809
+ patch -p1 -i ../dont-make-libpython-readonly.patch
+
+ # https://bugs.python.org/issue25150
+ patch -p1 -i ../issue25150.patch
+
+ # FS#23997
+ sed -i -e "s|^#.* /usr/local/bin/python|#!/usr/bin/python|" Lib/cgi.py
+
+ # Ensure that we are using the system copy of various libraries (expat, zlib, libffi, and libmpdec),
+ # rather than copies shipped in the tarball
+ rm -r Modules/expat
+ rm -r Modules/zlib
+ rm -r Modules/_ctypes/{darwin,libffi}*
+ rm -r Modules/_decimal/libmpdec
+}
+
+build() {
+ cd Python-${pkgver}
+
+ # Disable bundled pip & setuptools
+ ./configure --prefix=/usr \
+ --enable-shared \
+ --with-threads \
+ --with-computed-gotos \
+ --enable-ipv6 \
+ --with-system-expat \
+ --with-dbmliborder=gdbm:ndbm \
+ --with-system-ffi \
+ --with-system-libmpdec \
+ --enable-loadable-sqlite-extensions \
+ --without-ensurepip
+
+ make EXTRA_CFLAGS="$CFLAGS"
+}
+
+check() {
+ # Failures:
+ # test_pathlib & test_posixpath: https://bugs.python.org/issue24950
+
+ # Hacks:
+ # test_tk: xvfb-run
+ # test_unicode_file: LC_CTYPE=en_US.utf-8
+
+ cd Python-${pkgver}
+ LD_LIBRARY_PATH="${srcdir}/Python-${pkgver}":${LD_LIBRARY_PATH} \
+ LC_CTYPE=en_US.utf-8 xvfb-run \
+ "${srcdir}/Python-${pkgver}/python" -m test.regrtest -uall || warning "Expected failure"
+}
+
+package() {
+ cd Python-${pkgver}
+ make DESTDIR="${pkgdir}" EXTRA_CFLAGS="$CFLAGS" install maninstall
+
+ # Why are these not done by default...
+ ln -s python3 "${pkgdir}"/usr/bin/python
+ ln -s python3-config "${pkgdir}"/usr/bin/python-config
+ ln -s idle3 "${pkgdir}"/usr/bin/idle
+ ln -s pydoc3 "${pkgdir}"/usr/bin/pydoc
+ ln -s python${_pybasever}.1 "${pkgdir}"/usr/share/man/man1/python.1
+
+ # Fix FS#22552
+ ln -sf ../../libpython${_pybasever}m.so \
+ "${pkgdir}/usr/lib/python${_pybasever}/config-${_pybasever}m/libpython${_pybasever}m.so"
+
+ # some useful "stuff" FS#46146
+ install -dm755 "${pkgdir}"/usr/lib/python${_pybasever}/Tools/{i18n,scripts}
+ install -m755 Tools/i18n/{msgfmt,pygettext}.py "${pkgdir}"/usr/lib/python${_pybasever}/Tools/i18n/
+ install -m755 Tools/scripts/{README,*py} "${pkgdir}"/usr/lib/python${_pybasever}/Tools/scripts/
+
+ # Clean-up reference to build directory
+ sed -i "s|$srcdir/Python-${pkgver}:||" "$pkgdir/usr/lib/python${_pybasever}/config-${_pybasever}m/Makefile"
+
+ # License
+ install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}
Deleted: staging-x86_64/PKGBUILD.3.5
===================================================================
--- staging-x86_64/PKGBUILD.3.5 2015-09-20 12:49:06 UTC (rev 247006)
+++ staging-x86_64/PKGBUILD.3.5 2015-09-20 12:52:00 UTC (rev 247007)
@@ -1,93 +0,0 @@
-# $Id: PKGBUILD 234956 2015-03-26 07:56:56Z fyan $
-# Maintainer: Angel Velasquez <angvp at archlinux.org>
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
-# Contributor: Allan McRae <allan at archlinux.org>
-# Contributor: Jason Chu <jason at archlinux.org>
-
-pkgname=python
-pkgver=3.5.0rc3
-pkgrel=1
-_pybasever=3.4
-pkgdesc="Next generation of the python high-level scripting language"
-arch=('i686' 'x86_64')
-license=('custom')
-url="http://www.python.org/"
-depends=('expat' 'bzip2' 'gdbm' 'openssl' 'libffi' 'zlib')
-makedepends=('tk' 'sqlite' 'valgrind' 'bluez-libs' 'mpdecimal' 'hardening-wrapper')
-checkdepends=('gdb' 'xorg-server-xvfb')
-optdepends=('python-setuptools'
- 'python-pip'
- 'sqlite'
- 'mpdecimal: for decimal'
- 'xz: for lzma'
- 'tk: for tkinter')
-options=('!makeflags')
-provides=('python3')
-replaces=('python3')
-source=(http://www.python.org/ftp/python/${pkgver%rc*}/Python-${pkgver}.tar.xz)
-sha1sums=('d4f5a75142bd9290cd7603db5f26fa62a25ef273')
-
-prepare() {
- cd Python-${pkgver}
-
- # FS#23997
- sed -i -e "s|^#.* /usr/local/bin/python|#!/usr/bin/python|" Lib/cgi.py
-
- # Ensure that we are using the system copy of various libraries (expat, zlib, libffi, and libmpdec),
- # rather than copies shipped in the tarball
- rm -r Modules/expat
- rm -r Modules/zlib
- rm -r Modules/_ctypes/{darwin,libffi}*
- rm -r Modules/_decimal/libmpdec
-}
-
-build() {
- cd Python-${pkgver}
-
- # Disable bundled pip & setuptools
- ./configure --prefix=/usr \
- --enable-shared \
- --with-threads \
- --with-computed-gotos \
- --enable-ipv6 \
- --with-system-expat \
- --with-dbmliborder=gdbm:ndbm \
- --with-system-ffi \
- --with-system-libmpdec \
- --enable-loadable-sqlite-extensions \
- --without-ensurepip
-
- make
-}
-
-check() {
- # test_pathlib/test_posixpath: http://bugs.python.org/issue24950
-
- cd Python-${pkgver}
- LD_LIBRARY_PATH="${srcdir}/Python-${pkgver}":${LD_LIBRARY_PATH} \
- TERM=screen HOME="$srcdir" xvfb-run \
- "${srcdir}/Python-${pkgver}/python" -m test.regrtest -uall
-}
-
-package() {
- cd Python-${pkgver}
- make DESTDIR="${pkgdir}" install maninstall
-
- # Why are these not done by default...
- ln -s python3 "${pkgdir}"/usr/bin/python
- ln -s python3-config "${pkgdir}"/usr/bin/python-config
- ln -s idle3 "${pkgdir}"/usr/bin/idle
- ln -s pydoc3 "${pkgdir}"/usr/bin/pydoc
- ln -s python${_pybasever}.1 "${pkgdir}"/usr/share/man/man1/python.1
-
- # Fix FS#22552
- ln -sf ../../libpython${_pybasever}m.so \
- "${pkgdir}/usr/lib/python${_pybasever}/config-${_pybasever}m/libpython${_pybasever}m.so"
-
- # Clean-up reference to build directory
- sed -i "s|$srcdir/Python-${pkgver}:||" "$pkgdir/usr/lib/python${_pybasever}/config-${_pybasever}m/Makefile"
-
- # License
- install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
-}
Deleted: staging-x86_64/dont-make-libpython-readonly.patch
===================================================================
--- staging-x86_64/dont-make-libpython-readonly.patch 2015-09-20 12:49:06 UTC (rev 247006)
+++ staging-x86_64/dont-make-libpython-readonly.patch 2015-09-20 12:52:00 UTC (rev 247007)
@@ -1,13 +0,0 @@
-diff --git a/Makefile.pre.in b/Makefile.pre.in
-index ce2c0aa..7d6dcf7 100644
---- a/Makefile.pre.in
-+++ b/Makefile.pre.in
-@@ -60,7 +60,7 @@ INSTALL_DATA= @INSTALL_DATA@
- # Shared libraries must be installed with executable mode on some systems;
- # rather than figuring out exactly which, we always give them executable mode.
- # Also, making them read-only seems to be a good idea...
--INSTALL_SHARED= ${INSTALL} -m 555
-+INSTALL_SHARED= ${INSTALL} -m 755
-
- MKDIR_P= @MKDIR_P@
-
Copied: python/repos/staging-x86_64/dont-make-libpython-readonly.patch (from rev 247006, python/trunk/dont-make-libpython-readonly.patch)
===================================================================
--- staging-x86_64/dont-make-libpython-readonly.patch (rev 0)
+++ staging-x86_64/dont-make-libpython-readonly.patch 2015-09-20 12:52:00 UTC (rev 247007)
@@ -0,0 +1,13 @@
+diff --git a/Makefile.pre.in b/Makefile.pre.in
+index ce2c0aa..7d6dcf7 100644
+--- a/Makefile.pre.in
++++ b/Makefile.pre.in
+@@ -60,7 +60,7 @@ INSTALL_DATA= @INSTALL_DATA@
+ # Shared libraries must be installed with executable mode on some systems;
+ # rather than figuring out exactly which, we always give them executable mode.
+ # Also, making them read-only seems to be a good idea...
+-INSTALL_SHARED= ${INSTALL} -m 555
++INSTALL_SHARED= ${INSTALL} -m 755
+
+ MKDIR_P= @MKDIR_P@
+
Copied: python/repos/staging-x86_64/issue25150.patch (from rev 247006, python/trunk/issue25150.patch)
===================================================================
--- staging-x86_64/issue25150.patch (rev 0)
+++ staging-x86_64/issue25150.patch 2015-09-20 12:52:00 UTC (rev 247007)
@@ -0,0 +1,78 @@
+
+# HG changeset patch
+# User Victor Stinner <victor.stinner at gmail.com>
+# Date 1442581594 -7200
+# Node ID d4fcb362f7c66b25b22ddc0d27db0cc96acc727b
+# Parent d04a0954e142f873adee88ec5bc1c1d81cd46bc4
+Issue #25150: Hide the private _Py_atomic_xxx symbols from the public
+Python.h header to fix a compilation error with OpenMP. PyThreadState_GET()
+becomes an alias to PyThreadState_Get() to avoid ABI incompatibilies.
+
+It is important that the _PyThreadState_Current variable is always accessed
+with the same implementation of pyatomic.h. Use the PyThreadState_Get()
+function so extension modules will all reuse the same implementation.
+
+diff --git a/Include/pyatomic.h b/Include/pyatomic.h
+--- a/Include/pyatomic.h
++++ b/Include/pyatomic.h
+@@ -1,8 +1,6 @@
+-/* Issue #23644: <stdatomic.h> is incompatible with C++, see:
+- https://gcc.gnu.org/bugzilla/show_bug.cgi?id=60932 */
+-#if !defined(Py_LIMITED_API) && !defined(__cplusplus)
+ #ifndef Py_ATOMIC_H
+ #define Py_ATOMIC_H
++#ifdef Py_BUILD_CORE
+
+ #include "dynamic_annotations.h"
+
+@@ -248,5 +246,5 @@ static __inline__ void
+ #define _Py_atomic_load_relaxed(ATOMIC_VAL) \
+ _Py_atomic_load_explicit(ATOMIC_VAL, _Py_memory_order_relaxed)
+
++#endif /* Py_BUILD_CORE */
+ #endif /* Py_ATOMIC_H */
+-#endif /* Py_LIMITED_API */
+diff --git a/Include/pystate.h b/Include/pystate.h
+--- a/Include/pystate.h
++++ b/Include/pystate.h
+@@ -177,20 +177,13 @@ PyAPI_FUNC(int) PyThreadState_SetAsyncEx
+ /* Variable and macro for in-line access to current thread state */
+
+ /* Assuming the current thread holds the GIL, this is the
+- PyThreadState for the current thread.
+-
+- Issue #23644: pyatomic.h is incompatible with C++ (yet). Disable
+- PyThreadState_GET() optimization: declare it as an alias to
+- PyThreadState_Get(), as done for limited API. */
+-#if !defined(Py_LIMITED_API) && !defined(__cplusplus)
++ PyThreadState for the current thread. */
++#ifdef Py_BUILD_CORE
+ PyAPI_DATA(_Py_atomic_address) _PyThreadState_Current;
+-#endif
+-
+-#if defined(Py_DEBUG) || defined(Py_LIMITED_API) || defined(__cplusplus)
+-#define PyThreadState_GET() PyThreadState_Get()
++# define PyThreadState_GET() \
++ ((PyThreadState*)_Py_atomic_load_relaxed(&_PyThreadState_Current))
+ #else
+-#define PyThreadState_GET() \
+- ((PyThreadState*)_Py_atomic_load_relaxed(&_PyThreadState_Current))
++# define PyThreadState_GET() PyThreadState_Get()
+ #endif
+
+ typedef
+diff --git a/Misc/NEWS b/Misc/NEWS
+--- a/Misc/NEWS
++++ b/Misc/NEWS
+@@ -11,6 +11,10 @@ Release date: TBA
+ Core and Builtins
+ -----------------
+
++- Issue #25150: Hide the private _Py_atomic_xxx symbols from the public
++ Python.h header to fix a compilation error with OpenMP. PyThreadState_GET()
++ becomes an alias to PyThreadState_Get() to avoid ABI incompatibilies.
++
+ Library
+ -------
+
+
Deleted: staging-x86_64/test_gdb-version-fix.patch
===================================================================
--- staging-x86_64/test_gdb-version-fix.patch 2015-09-20 12:49:06 UTC (rev 247006)
+++ staging-x86_64/test_gdb-version-fix.patch 2015-09-20 12:52:00 UTC (rev 247007)
@@ -1,11 +0,0 @@
---- a/Lib/test/test_gdb.py 2015-09-14 11:58:09.218811556 +0800
-+++ b/Lib/test/test_gdb.py 2015-09-14 11:58:24.845647558 +0800
-@@ -28,7 +28,7 @@
- # This is what "no gdb" looks like. There may, however, be other
- # errors that manifest this way too.
- raise unittest.SkipTest("Couldn't find gdb on the path")
--gdb_version_number = re.search(b"^GNU gdb [^\d]*(\d+)\.(\d)", gdb_version)
-+gdb_version_number = re.search(b"^GNU gdb [^\d]*(\d+)\.(\d+)", gdb_version)
- gdb_major_version = int(gdb_version_number.group(1))
- gdb_minor_version = int(gdb_version_number.group(2))
- if gdb_major_version < 7:
Copied: python/repos/staging-x86_64/test_gdb-version-fix.patch (from rev 247006, python/trunk/test_gdb-version-fix.patch)
===================================================================
--- staging-x86_64/test_gdb-version-fix.patch (rev 0)
+++ staging-x86_64/test_gdb-version-fix.patch 2015-09-20 12:52:00 UTC (rev 247007)
@@ -0,0 +1,11 @@
+--- a/Lib/test/test_gdb.py 2015-09-14 11:58:09.218811556 +0800
++++ b/Lib/test/test_gdb.py 2015-09-14 11:58:24.845647558 +0800
+@@ -28,7 +28,7 @@
+ # This is what "no gdb" looks like. There may, however, be other
+ # errors that manifest this way too.
+ raise unittest.SkipTest("Couldn't find gdb on the path")
+-gdb_version_number = re.search(b"^GNU gdb [^\d]*(\d+)\.(\d)", gdb_version)
++gdb_version_number = re.search(b"^GNU gdb [^\d]*(\d+)\.(\d+)", gdb_version)
+ gdb_major_version = int(gdb_version_number.group(1))
+ gdb_minor_version = int(gdb_version_number.group(2))
+ if gdb_major_version < 7:
More information about the arch-commits
mailing list